#include <string>
#include <vector>

class CSymbols
{
private:
	std::vector<char const *> symbols;

	char const * bit(char const * s, unsigned const b);

public:
	std::string default_symbol;

	CSymbols() : default_symbol("default") { }
	CSymbols(char const * const s) : default_symbol(s) { }
	~CSymbols() { for (auto s : symbols) delete s; }
	int ReadFile(char const * const file);
	char const * operator [] (unsigned const n);
	char const * bit(unsigned const n, unsigned const b);
};
