#pragma once

#include <cstdint>

class CPDK {
public:
	unsigned version;
	unsigned length;
	unsigned used;
	char const * mcu;
	unsigned mcu_id;
	char const * compiler;
	unsigned bits;
	uint16_t *pkey;
	uint16_t *pdata;

	uint8_t x[17000];

protected:
	int      process_header(uint8_t *bd, unsigned len);
	void     decode_pdk_data(void);
	unsigned get_bit_count(void);

public:
	int      read_file(char const * const file_name);
};
